package com.cosmodas.EntCosmos;

import javax.persistence.*;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import java.math.BigDecimal;

@Entity
@Table(name = "vventan_salas")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "VventasSalas.AllSalas", query = "SELECT v FROM VventasSalas v")
})
public class VventasSalas implements Serializable {

    @Id
    @Column(name = "sucursal_codigo")
    private String sucursalCodigo;
    @Column(name = "sucursal")
    private String sucursal;
    @Column(name = "total_con_iva")
    private BigDecimal totalConIva;
    @Column(name = "total_sin_iva")
    private BigDecimal totalSinIva;

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    public String getSucursal() {
        return sucursal;
    }

    public void setSucursal(String sucursal) {
        this.sucursal = sucursal;
    }

    public BigDecimal getTotalConIva() {
        return totalConIva;
    }

    public void setTotalConIva(BigDecimal totalConIva) {
        this.totalConIva = totalConIva;
    }

    public BigDecimal getTotalSinIva() {
        return totalSinIva;
    }

    public void setTotalSinIva(BigDecimal totalSinIva) {
        this.totalSinIva = totalSinIva;
    }

    public VventasSalas() {
    }

    public VventasSalas(String sucursalCodigo, String sucursal, BigDecimal totalConIva, BigDecimal totalSinIva) {
        this.sucursalCodigo = sucursalCodigo;
        this.sucursal = sucursal;
        this.totalConIva = totalConIva;
        this.totalSinIva = totalSinIva;
    }
}
